Retrive all reservations by a filter
const url = 'https://api-crm-staging.divinea.com/api/v2/reservations/query';const options = { method: 'POST', headers: {APIKey: '<APIKey>', 'Content-Type': 'application/json'}, body: '{"endTime":"2026-04-15","ids":["example"],"lang":"example","startTime":"2026-04-15","states":["draft"],"wineryId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api-crm-staging.divinea.com/api/v2/reservations/query \ --header 'APIKey: <APIKey>' \ --header 'Content-Type: application/json' \ --data '{ "endTime": "2026-04-15", "ids": [ "example" ], "lang": "example", "startTime": "2026-04-15", "states": [ "draft" ], "wineryId": "example" }'Authorizations
Sezione intitolata “Authorizations”Parameters
Sezione intitolata “Parameters”Query Parameters
Sezione intitolata “Query Parameters”Lang
Request Body
Sezione intitolata “Request Body”Filter
object
Responses
Sezione intitolata “Responses”OK
object
Additional booking question answers
object
Contact ID - only if already associeted with reservation
Example
12312Created at
Example
2021-01-01T12:00:00Reservation date
Example
2021-01-01Discount total cents
Example
0Due total cents
Example
0Experience ID
Example
123e4567-e89b-12d3-a456-426614174000Experience price extras
object
object
Experience price labels
object
object
object
object
Id of the gift related
Example
123e4567-e89b-12d3-a456-426614174000Gross total cents
Example
1000Guest count 01
Example
1Total guest count
Example
2Reservation ID
Example
123a4567-e89b-12d3-a456-426614174000Language ISO
Example
enManual discount total cents
Example
0Message from final user
Net total cents
Example
1000Optional data - Legacy additional data
object
Origin
Example
https://www.divinea.com/Other data to save as JSON
object
Example
{ "key": "value", "key2": "value2"}Paid
Example
trueUTC instant of first captured/charged payment (derived). WS-2190.
Paid total cents
Example
1000Payment currency
Example
EURUTC instant of refund activity (derived). WS-2190.
Refunded total cents (from payment intents)
Example
1000Reservation contacts
object
Accepted Marketing
Example
trueAccepted Privacy Terms
Example
trueAccepted Profiling
Example
trueContact Type - At least one contact and one MASTER. The other ones can be saved if SECONDARY
Example
MASTERCountry ISO
Example
ITExample
john.doe@gmail.comFirst Name
Example
JohnLast Name
Example
DoePrivacy Manual flagged by winery (has a signed paper)
Example
falseOther data to be safe
object
Example
{}Phone Number
Example
+39 123456789Privacy Unsubscribed
Example
falseobject
Accepted Marketing
Example
trueAccepted Privacy Terms
Example
trueAccepted Profiling
Example
trueContact Type - At least one contact and one MASTER. The other ones can be saved if SECONDARY
Example
MASTERCountry ISO
Example
ITExample
john.doe@gmail.comFirst Name
Example
JohnLast Name
Example
DoePrivacy Manual flagged by winery (has a signed paper)
Example
falseOther data to be safe
object
Example
{}Phone Number
Example
+39 123456789Privacy Unsubscribed
Example
falseReservation State
Example
CONFIRMEDReservation time
object
Example
12:00:00Updated at
Example
2021-01-01T12:30:00Winery ID
Example
123e4567-e89b-12d3-a456-426614174000